> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Generate Material Skus



## OpenAPI

````yaml /api/openapi-cutmake.json post /materials/{material_id}/skus/generate
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /materials/{material_id}/skus/generate:
    post:
      tags:
        - SKUs
      summary: Bulk Generate Material Skus
      operationId: bulk_generate_material_skus_materials__material_id__skus_generate_post
      parameters:
        - name: material_id
          in: path
          required: true
          schema:
            type: string
            title: Material Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MaterialSKUBulkGenerateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MaterialSKUResponse'
                title: >-
                  Response Bulk Generate Material Skus Materials  Material Id 
                  Skus Generate Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    MaterialSKUBulkGenerateRequest:
      properties:
        colors:
          items:
            type: string
          type: array
          title: Colors
        sizes:
          items:
            type: string
          type: array
          title: Sizes
        qrData:
          anyOf:
            - type: string
            - type: 'null'
          title: Qrdata
        skuCostOverride:
          anyOf:
            - type: number
            - type: 'null'
          title: Skucostoverride
      type: object
      title: MaterialSKUBulkGenerateRequest
    MaterialSKUResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        refId:
          anyOf:
            - type: string
            - type: 'null'
          title: Refid
        masterMaterialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Mastermaterialid
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        qrData:
          anyOf:
            - type: string
            - type: 'null'
          title: Qrdata
        skuCostOverride:
          type: number
          title: Skucostoverride
          default: 0
      type: object
      required:
        - id
      title: MaterialSKUResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````